AlertLevel (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.admin

## Class AlertLevel

- java.lang.Object
- - org.apache.geode.admin.AlertLevel

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  as of 7.0 use the `management` package instead

      public class AlertLevel
      extends java.lang.Object
      implements java.io.Serializable

  Type-safe enumeration for `Alert` level.
  Since:
    GemFire 3.5
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AlertLevel` | `ERROR` Deprecated.
    `static AlertLevel` | `OFF` Deprecated.
    `int` | `ordinal` Deprecated. int used as ordinal to represent this AlertLevel
    `static AlertLevel` | `SEVERE` Deprecated.
    `static AlertLevel` | `WARNING` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)` Deprecated. Indicates whether some other object is "equal to" this one.
    `static AlertLevel` | `forName(java.lang.String name)` Deprecated. Returns the `AlertLevel` with the given name
    `static AlertLevel` | `forSeverity(int severity)` Deprecated. Returns the `AlertLevel` for the given severity
    `static AlertLevel` | `fromOrdinal(int ordinal)` Deprecated. Return the AlertLevel represented by specified ordinal
    `java.lang.String` | `getName()` Deprecated.
    `int` | `getSeverity()` Deprecated.
    `int` | `hashCode()` Deprecated. Returns a hash code for the object.
    `java.lang.String` | `toString()` Deprecated. Returns a string representation for this alert level.
    `static AlertLevel[]` | `values()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### WARNING

          public static final AlertLevel WARNING

      Deprecated.

    - #### ERROR

          public static final AlertLevel ERROR

      Deprecated.

    - #### SEVERE

          public static final AlertLevel SEVERE

      Deprecated.

    - #### OFF

          public static final AlertLevel OFF

      Deprecated.

    - #### ordinal

          public final int ordinal

      Deprecated.
      int used as ordinal to represent this AlertLevel

  - ### Method Detail

    - #### fromOrdinal

          public static AlertLevel fromOrdinal(int ordinal)

      Deprecated.
      Return the AlertLevel represented by specified ordinal

    - #### forSeverity

          public static AlertLevel forSeverity(int severity)

      Deprecated.
      Returns the `AlertLevel` for the given severity
      Throws:
        `java.lang.IllegalArgumentException` - If there is no alert level with the given `severity`

    - #### forName

          public static AlertLevel forName(java.lang.String name)

      Deprecated.
      Returns the `AlertLevel` with the given name
      Throws:
        `java.lang.IllegalArgumentException` - If there is no alert level named `name`

    - #### getSeverity

          public int getSeverity()

      Deprecated.

    - #### getName

          public java.lang.String getName()

      Deprecated.

    - #### values

          public static AlertLevel[] values()

      Deprecated.

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Returns a string representation for this alert level.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the name of this alert level

    - #### equals

          public boolean equals(java.lang.Object other)

      Deprecated.
      Indicates whether some other object is "equal to" this one.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `other` - the reference object with which to compare.
      Returns:
        true if this object is the same as the obj argument; false otherwise.

    - #### hashCode

          public int hashCode()

      Deprecated.
      Returns a hash code for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        the integer 0 if description is null; otherwise a unique integer.